Skip to main content
POST
/
api
/
v1
/
whatsapp
/
send-media
Send Media
curl --request POST \
  --url https://api.example.com/api/v1/whatsapp/send-media \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "<string>",
  "media_type": "<string>",
  "media_url": "<string>",
  "media_id": "<string>",
  "caption": "<string>",
  "filename": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
phone_number
string
required
Required string length: 5 - 20
media_type
string
required
Pattern: ^(image|video|audio|document)$
media_url
string | null
media_id
string | null
caption
string | null
filename
string | null

Response

Successful Response